projects
/
openwrt.git
/ blobdiff
commit
grep
author
committer
pickaxe
?
search:
re
summary
|
shortlog
|
log
|
commit
|
commitdiff
|
tree
raw
|
inline
| side by side
[ar71xx] create firmware image for the RouterStation Pro, and add a profile for it...
[openwrt.git]
/
target
/
linux
/
generic-2.4
/
patches
/
231-mini_fo.patch
diff --git
a/target/linux/generic-2.4/patches/231-mini_fo.patch
b/target/linux/generic-2.4/patches/231-mini_fo.patch
index
864cb70
..
8605cd3
100644
(file)
--- a/
target/linux/generic-2.4/patches/231-mini_fo.patch
+++ b/
target/linux/generic-2.4/patches/231-mini_fo.patch
@@
-1,7
+1,5
@@
-Index: linux-2.4.35.4/fs/Config.in
-===================================================================
---- linux-2.4.35.4.orig/fs/Config.in
-+++ linux-2.4.35.4/fs/Config.in
+--- a/fs/Config.in
++++ b/fs/Config.in
@@ -77,6 +77,7 @@ dep_mbool ' JFS debugging' CONFIG_JFS_D
dep_mbool ' JFS statistics' CONFIG_JFS_STATISTICS $CONFIG_JFS_FS
@@ -77,6 +77,7 @@ dep_mbool ' JFS debugging' CONFIG_JFS_D
dep_mbool ' JFS statistics' CONFIG_JFS_STATISTICS $CONFIG_JFS_FS
@@
-10,10
+8,8
@@
Index: linux-2.4.35.4/fs/Config.in
tristate 'FreeVxFS file system support (VERITAS VxFS(TM) compatible)' CONFIG_VXFS_FS
tristate 'NTFS file system support (read only)' CONFIG_NTFS_FS
tristate 'FreeVxFS file system support (VERITAS VxFS(TM) compatible)' CONFIG_VXFS_FS
tristate 'NTFS file system support (read only)' CONFIG_NTFS_FS
-Index: linux-2.4.35.4/fs/Makefile
-===================================================================
---- linux-2.4.35.4.orig/fs/Makefile
-+++ linux-2.4.35.4/fs/Makefile
+--- a/fs/Makefile
++++ b/fs/Makefile
@@ -31,6 +31,7 @@ subdir-$(CONFIG_RAMFS) += ramfs
subdir-$(CONFIG_CODA_FS) += coda
subdir-$(CONFIG_INTERMEZZO_FS) += intermezzo
@@ -31,6 +31,7 @@ subdir-$(CONFIG_RAMFS) += ramfs
subdir-$(CONFIG_CODA_FS) += coda
subdir-$(CONFIG_INTERMEZZO_FS) += intermezzo
@@
-22,10
+18,8
@@
Index: linux-2.4.35.4/fs/Makefile
subdir-$(CONFIG_FAT_FS) += fat
subdir-$(CONFIG_UMSDOS_FS) += umsdos
subdir-$(CONFIG_MSDOS_FS) += msdos
subdir-$(CONFIG_FAT_FS) += fat
subdir-$(CONFIG_UMSDOS_FS) += umsdos
subdir-$(CONFIG_MSDOS_FS) += msdos
-Index: linux-2.4.35.4/fs/mini_fo/aux.c
-===================================================================
--- /dev/null
--- /dev/null
-+++
linux-2.4.35.4
/fs/mini_fo/aux.c
++++
b
/fs/mini_fo/aux.c
@@ -0,0 +1,580 @@
+/*
+ * Copyright (c) 1997-2003 Erez Zadok
@@ -0,0 +1,580 @@
+/*
+ * Copyright (c) 1997-2003 Erez Zadok
@@
-607,10
+601,8
@@
Index: linux-2.4.35.4/fs/mini_fo/aux.c
+
+#endif /* unused */
+
+
+#endif /* unused */
+
-Index: linux-2.4.35.4/fs/mini_fo/ChangeLog
-===================================================================
--- /dev/null
--- /dev/null
-+++
linux-2.4.35.4
/fs/mini_fo/ChangeLog
++++
b
/fs/mini_fo/ChangeLog
@@ -0,0 +1,281 @@
+2006-01-24 Markus Klotzbuecher <mk@mary.denx.de>
+
@@ -0,0 +1,281 @@
+2006-01-24 Markus Klotzbuecher <mk@mary.denx.de>
+
@@
-893,10
+885,8
@@
Index: linux-2.4.35.4/fs/mini_fo/ChangeLog
+ * Implementation of mini_fo_mknod and mini_fo_rename, support
+ for device files.
+
+ * Implementation of mini_fo_mknod and mini_fo_rename, support
+ for device files.
+
-Index: linux-2.4.35.4/fs/mini_fo/dentry.c
-===================================================================
--- /dev/null
--- /dev/null
-+++
linux-2.4.35.4
/fs/mini_fo/dentry.c
++++
b
/fs/mini_fo/dentry.c
@@ -0,0 +1,244 @@
+/*
+ * Copyright (c) 1997-2003 Erez Zadok
@@ -0,0 +1,244 @@
+/*
+ * Copyright (c) 1997-2003 Erez Zadok
@@
-1142,10
+1132,8
@@
Index: linux-2.4.35.4/fs/mini_fo/dentry.c
+ d_delete: mini_fo_d_delete,
+ d_iput: mini_fo_d_iput,
+};
+ d_delete: mini_fo_d_delete,
+ d_iput: mini_fo_d_iput,
+};
-Index: linux-2.4.35.4/fs/mini_fo/file.c
-===================================================================
--- /dev/null
--- /dev/null
-+++
linux-2.4.35.4
/fs/mini_fo/file.c
++++
b
/fs/mini_fo/file.c
@@ -0,0 +1,717 @@
+/*
+ * Copyright (c) 1997-2003 Erez Zadok
@@ -0,0 +1,717 @@
+/*
+ * Copyright (c) 1997-2003 Erez Zadok
@@
-1864,10
+1852,8
@@
Index: linux-2.4.35.4/fs/mini_fo/file.c
+ /* not implemented: sendpage */
+ /* not implemented: get_unmapped_area */
+ };
+ /* not implemented: sendpage */
+ /* not implemented: get_unmapped_area */
+ };
-Index: linux-2.4.35.4/fs/mini_fo/fist.h
-===================================================================
--- /dev/null
--- /dev/null
-+++
linux-2.4.35.4
/fs/mini_fo/fist.h
++++
b
/fs/mini_fo/fist.h
@@ -0,0 +1,248 @@
+/*
+ * Copyright (c) 1997-2003 Erez Zadok
@@ -0,0 +1,248 @@
+/*
+ * Copyright (c) 1997-2003 Erez Zadok
@@
-2117,10
+2103,8
@@
Index: linux-2.4.35.4/fs/mini_fo/fist.h
+# define FIST_IOCTL_SET_DEBUG_VALUE _IOW(0x15, 2, int)
+
+#endif /* not __FIST_H_ */
+# define FIST_IOCTL_SET_DEBUG_VALUE _IOW(0x15, 2, int)
+
+#endif /* not __FIST_H_ */
-Index: linux-2.4.35.4/fs/mini_fo/inode.c
-===================================================================
--- /dev/null
--- /dev/null
-+++
linux-2.4.35.4
/fs/mini_fo/inode.c
++++
b
/fs/mini_fo/inode.c
@@ -0,0 +1,1573 @@
+/*
+ * Copyright (c) 1997-2003 Erez Zadok
@@ -0,0 +1,1573 @@
+/*
+ * Copyright (c) 1997-2003 Erez Zadok
@@
-3695,10
+3679,8
@@
Index: linux-2.4.35.4/fs/mini_fo/inode.c
+ removexattr: mini_fo_removexattr
+# endif /* XATTR && LINUX_VERSION_CODE >= KERNEL_VERSION(2,4,20) */
+ };
+ removexattr: mini_fo_removexattr
+# endif /* XATTR && LINUX_VERSION_CODE >= KERNEL_VERSION(2,4,20) */
+ };
-Index: linux-2.4.35.4/fs/mini_fo/main.c
-===================================================================
--- /dev/null
--- /dev/null
-+++
linux-2.4.35.4
/fs/mini_fo/main.c
++++
b
/fs/mini_fo/main.c
@@ -0,0 +1,414 @@
+/*
+ * Copyright (c) 1997-2003 Erez Zadok
@@ -0,0 +1,414 @@
+/*
+ * Copyright (c) 1997-2003 Erez Zadok
@@
-4114,10
+4096,8
@@
Index: linux-2.4.35.4/fs/mini_fo/main.c
+
+module_init(init_mini_fo_fs)
+module_exit(exit_mini_fo_fs)
+
+module_init(init_mini_fo_fs)
+module_exit(exit_mini_fo_fs)
-Index: linux-2.4.35.4/fs/mini_fo/Makefile
-===================================================================
--- /dev/null
--- /dev/null
-+++
linux-2.4.35.4
/fs/mini_fo/Makefile
++++
b
/fs/mini_fo/Makefile
@@ -0,0 +1,22 @@
+#
+# Makefile for mini_fo 2.4 and 2.6 Linux kernels
@@ -0,0 +1,22 @@
+#
+# Makefile for mini_fo 2.4 and 2.6 Linux kernels
@@
-4141,10
+4121,8
@@
Index: linux-2.4.35.4/fs/mini_fo/Makefile
+# dependencies
+${mini_fo-objs}: mini_fo.h fist.h
+
+# dependencies
+${mini_fo-objs}: mini_fo.h fist.h
+
-Index: linux-2.4.35.4/fs/mini_fo/meta.c
-===================================================================
--- /dev/null
--- /dev/null
-+++
linux-2.4.35.4
/fs/mini_fo/meta.c
++++
b
/fs/mini_fo/meta.c
@@ -0,0 +1,1000 @@
+/*
+ * Copyright (C) 2004, 2005 Markus Klotzbuecher <mk@creamnet.de>
@@ -0,0 +1,1000 @@
+/*
+ * Copyright (C) 2004, 2005 Markus Klotzbuecher <mk@creamnet.de>
@@
-5146,10
+5124,8
@@
Index: linux-2.4.35.4/fs/mini_fo/meta.c
+ return 0;
+}
+
+ return 0;
+}
+
-Index: linux-2.4.35.4/fs/mini_fo/mini_fo.h
-===================================================================
--- /dev/null
--- /dev/null
-+++
linux-2.4.35.4
/fs/mini_fo/mini_fo.h
++++
b
/fs/mini_fo/mini_fo.h
@@ -0,0 +1,503 @@
+/*
+ * Copyright (c) 1997-2003 Erez Zadok
@@ -0,0 +1,503 @@
+/*
+ * Copyright (c) 1997-2003 Erez Zadok
@@
-5654,10
+5630,8
@@
Index: linux-2.4.35.4/fs/mini_fo/mini_fo.h
+/* ioctls */
+
+#endif /* not __MINI_FO_H_ */
+/* ioctls */
+
+#endif /* not __MINI_FO_H_ */
-Index: linux-2.4.35.4/fs/mini_fo/mini_fo-merge
-===================================================================
--- /dev/null
--- /dev/null
-+++
linux-2.4.35.4
/fs/mini_fo/mini_fo-merge
++++
b
/fs/mini_fo/mini_fo-merge
@@ -0,0 +1,180 @@
+#!/bin/bash
+#
@@ -0,0 +1,180 @@
+#!/bin/bash
+#
@@
-5839,10
+5813,8
@@
Index: linux-2.4.35.4/fs/mini_fo/mini_fo-merge
+#rm $TMP/$SKIP_DEL_LIST
+
+echo "Done!"
+#rm $TMP/$SKIP_DEL_LIST
+
+echo "Done!"
-Index: linux-2.4.35.4/fs/mini_fo/mini_fo-overlay
-===================================================================
--- /dev/null
--- /dev/null
-+++
linux-2.4.35.4
/fs/mini_fo/mini_fo-overlay
++++
b
/fs/mini_fo/mini_fo-overlay
@@ -0,0 +1,130 @@
+#!/bin/bash
+#
@@ -0,0 +1,130 @@
+#!/bin/bash
+#
@@
-5974,10
+5946,8
@@
Index: linux-2.4.35.4/fs/mini_fo/mini_fo-overlay
+if [ $? -ne 0 ]; then
+ echo "Error, mounting failed, maybe no permisson to mount?"
+fi
+if [ $? -ne 0 ]; then
+ echo "Error, mounting failed, maybe no permisson to mount?"
+fi
-Index: linux-2.4.35.4/fs/mini_fo/mmap.c
-===================================================================
--- /dev/null
--- /dev/null
-+++
linux-2.4.35.4
/fs/mini_fo/mmap.c
++++
b
/fs/mini_fo/mmap.c
@@ -0,0 +1,637 @@
+/*
+ * Copyright (c) 1997-2003 Erez Zadok
@@ -0,0 +1,637 @@
+/*
+ * Copyright (c) 1997-2003 Erez Zadok
@@
-6616,10
+6586,8
@@
Index: linux-2.4.35.4/fs/mini_fo/mmap.c
+ print_exit_status(err);
+ return err;
+}
+ print_exit_status(err);
+ return err;
+}
-Index: linux-2.4.35.4/fs/mini_fo/README
-===================================================================
--- /dev/null
--- /dev/null
-+++
linux-2.4.35.4
/fs/mini_fo/README
++++
b
/fs/mini_fo/README
@@ -0,0 +1,163 @@
+README for the mini_fo overlay file system
+=========================================
@@ -0,0 +1,163 @@
+README for the mini_fo overlay file system
+=========================================
@@
-6784,10
+6752,8
@@
Index: linux-2.4.35.4/fs/mini_fo/README
+2 of the License, or (at your option) any later version.
+
+
+2 of the License, or (at your option) any later version.
+
+
-Index: linux-2.4.35.4/fs/mini_fo/RELEASE_NOTES
-===================================================================
--- /dev/null
--- /dev/null
-+++
linux-2.4.35.4
/fs/mini_fo/RELEASE_NOTES
++++
b
/fs/mini_fo/RELEASE_NOTES
@@ -0,0 +1,111 @@
+Release: mini_fo-0.6.1 (v0-6-1)
+Date: 21.09.2005
@@ -0,0 +1,111 @@
+Release: mini_fo-0.6.1 (v0-6-1)
+Date: 21.09.2005
@@
-6900,10
+6866,8
@@
Index: linux-2.4.35.4/fs/mini_fo/RELEASE_NOTES
+original state. I hope to fix this someday. Please note that this does
+not effect the special hard links '.' and '..', that are handled
+seperately by the lower fs.
+original state. I hope to fix this someday. Please note that this does
+not effect the special hard links '.' and '..', that are handled
+seperately by the lower fs.
-Index: linux-2.4.35.4/fs/mini_fo/state.c
-===================================================================
--- /dev/null
--- /dev/null
-+++
linux-2.4.35.4
/fs/mini_fo/state.c
++++
b
/fs/mini_fo/state.c
@@ -0,0 +1,620 @@
+/*
+ * Copyright (C) 2005 Markus Klotzbuecher <mk@creamnet.de>
@@ -0,0 +1,620 @@
+/*
+ * Copyright (C) 2005 Markus Klotzbuecher <mk@creamnet.de>
@@
-7525,10
+7489,8
@@
Index: linux-2.4.35.4/fs/mini_fo/state.c
+ return err;
+}
+
+ return err;
+}
+
-Index: linux-2.4.35.4/fs/mini_fo/super.c
-===================================================================
--- /dev/null
--- /dev/null
-+++
linux-2.4.35.4
/fs/mini_fo/super.c
++++
b
/fs/mini_fo/super.c
@@ -0,0 +1,259 @@
+/*
+ * Copyright (c) 1997-2003 Erez Zadok
@@ -0,0 +1,259 @@
+/*
+ * Copyright (c) 1997-2003 Erez Zadok
This page took
0.027535 seconds
and
4
git commands to generate.